/*
  1、生成文件不建议编辑，因为在每次编译后会重置
  2、style标签可以写多个，且有两种属性， scoped：是否私有，root：在scoped的基础上是否根节点， 且只会对第一个css选择器进行处理，因为没有必要对多个（实在有多个就多写几个style标签）
  3、文件名即为组件名，有大写是调用需使用(-小写字母)替代，因为html不区分大小写
  4、被同一html文件引用的组件之间，可以互相调用
  5、更多请关注 https://www.npmjs.com/package/wp-vuetojs
*/

function vuetojsAddClass(content) {
  let styleElement = document.getElementById("styleSelf");
  if (!styleElement) {
    styleElement = document.createElement("style");
    styleElement.type = "text/css";
    styleElement.id = "styleSelf";
    document.head.appendChild(styleElement);
  }
  let oldStyle = styleElement.innerText;
  styleElement.innerHTML = oldStyle+"\n"+content+"\n";
}
Vue.component("test1", {
template:`<div data-test1  class="hello">
  组件一
  <div class="world"></div>
  sssssssssssssssssssssszzzssssssddddddd
</div>`,
  data(){
    return {
      s:1
    }
  }
});
vuetojsAddClass(`[data-test1].hello {
  color: red;
}
[data-test1].hello .world {
  width: 100px;
  height: 100px;
  background-color: antiquewhite;
  color: aquamarine;
  position: relative;
}
[data-test1].hello .world::after {
  content: " ";
  position: absolute;
  top: 0;
  left: 0;
  width: 30px;
  height: 10px;
  background-color: blue;
}`)
Vue.component("test2", {
template:`<div data-test2  class="hello">
  组件2
  <br/>
  zzzzzzzzzzzzzzzzzzzzssssssssss
</div>`,
  data(){
    return {
      s:1
    }
  }
});
vuetojsAddClass(`[data-test2].hello {
  color: #0000FE;
}`)